<?php
require "db.php";

if(!$_GET['id'] || !$_GET['site']) { 
	exit('Missing id or site'); 
}

$id = mysqli_real_escape_string($dblink,$_GET['id']);
$site = (int)$_GET['site']; 

$row = dbRow("SELECT * FROM `performers` WHERE username = '{$id}' AND site = '{$site}'");
if (!is_array($row)) {
    setMessage("Performer ID $id does not exist!", 'error');
    pageNotFound(true);
}

if (isset($_POST['formSubmit'])) {
    if (!getMessages(false, 'error')) {
		dbQuery("UPDATE performers SET enabled = '{$_POST['enabled']}', tags = '{$_POST['tags']}', persistentTags =  '{$_POST['persistentTags']}', deleted = '{$_POST['deleted']}', redirect_url = '{$_POST['redirect_url']}', return_code = '{$_POST['return_code']}', custom_text = '{$_POST['custom_text']}', custom_metadesc = '{$_POST['custom_metadesc']}' WHERE username = '{$id}' AND site = '{$site}'");
        setMessage('Performer saved. <a href="performers.php">Click here to go back</a>.'); 
        header("Location: ".$_SERVER['REQUEST_URI']);
        exit;
    }
}

$row['custom'] = unserialize($row['custom']);

$_POST += $row;

entities_walk($_POST);

?>

<? require "header.php"; ?>

<div class="content-page">
    
    <div class="header-area">
        <div class="breadcrumbs">  
            <a href="index.php">Admin Home</a>          
            <span><a href="performers.php">Manage Performers</a></span>  
        </div>
    </div>
    
    <div class="content-outer">  
        
        <h2>Edit<strong>Performer</strong></h2>
        
        <div class="content-inner">            
            
            <? echo getMessages(); ?>
            
            <form method="POST" action="" enctype="multipart/form-data" class="form" novalidate autocomplete="off">

                <table class="pagetable">
                    <thead>
                        <tr>
                            <th colspan="2">Edit Performer - <? echo $_POST['username']; ?></th>
                        </tr>
                    </thead>
                    <tr>
                        <td>Username</td>
                        <td><?php echo $row['username']; ?></td>
                    </tr>
                    <tr>
                        <td>Enabled</td>
                        <td>
                            <select name="enabled">
                                <option<? echo ($_POST['enabled'] == '0') ? ' selected' : ''; ?> value="0">No</option>
                                <option<? echo ($_POST['enabled'] == '1') ? ' selected' : ''; ?> value="1">Yes</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Deleted</td>
                        <td>
                            <select name="deleted">
                                <option<? echo ($_POST['deleted'] == '0') ? ' selected' : ''; ?> value="0">No</option>
                                <option<? echo ($_POST['deleted'] == '1') ? ' selected' : ''; ?> value="1">Yes</option>
                            </select>
                        </td>
                    </tr>
					<tr>
                        <td>Tags (from API) <a href="#" title="These tags are not persistent and will get overwritten by whatever is provided by API the next time it runs."><i class="ion ion-help-circled"></i></a></td>
                        <td><input  name="tags" type="text" value="<? echo $_POST['tags']; ?>"  /></td>
                    </tr>
					<tr>
                        <td>Tags (Persistent) <a href="#" title="These tags are persistent and never get replaced by the API. They are useful for tagging specific models with something without the API overwriting."><i class="ion ion-help-circled"></i></a></td>
                        <td><input  name="persistentTags" type="text" value="<? echo $_POST['persistentTags']; ?>"  /></td>
                    </tr>
					<tr>
                        <td>Redirect URL</td>
                        <td><input  name="redirect_url" type="text" value="<? echo $_POST['redirect_url']; ?>"  /></td>
                    </tr>
					<tr>
                        <td>HTTP Code</td>
                        <td>
                            <select name="return_code">
                                <option<? echo ($_POST['return_code'] == '200') ? ' selected' : ''; ?> value="200">200 OK</option>
                                <option<? echo ($_POST['return_code'] == '403') ? ' selected' : ''; ?> value="404">403 Forbidden</option>
								<option<? echo ($_POST['return_code'] == '404') ? ' selected' : ''; ?> value="404">404 File Not Found</option>
                            </select>
                        </td>
                    </tr>
					<tr>
                            <td>Custom Text <a href="#" title="Custom text or HTML that appears on the model's profile page"><i class="ion ion-help-circled"></i></a></td>
                            <td><textarea name='custom_text' placeholder=""><? echo $_POST['custom_text']; ?></textarea></td>
                        </tr>
					<tr>
                            <td>Custom Meta Desc <a href="#" title="Custom meta description tag for model profile page"><i class="ion ion-help-circled"></i></a></td>
                            <td><textarea name='custom_metadesc' placeholder=""><? echo $_POST['custom_metadesc']; ?></textarea></td>
                        </tr>
                    <tr class="item submit">
                        <td colspan="2">
                            <input type="hidden" name="formSubmit" value="1">
                            <button type="submit" class="btn action-save">Save</button>
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </div>
</div>

<? require "footer.php"; ?>
