<?php header("Content-type: text/css; charset: UTF-8"); 

//primary foreground
if(isset($_GET['tpf']) && strlen($_GET['tpf']) == 6) { 
	$template_primary_foreground = (string)$_GET['tpf'];
	list($r, $g, $b) = sscanf($template_primary_foreground, "%02x%02x%02x");
	$template_primary_foreground_rgb = "$r,$g,$b"; 
} else { 
	$template_primary_foreground = "58b4c4";
	list($r, $g, $b) = sscanf($template_primary_foreground, "%02x%02x%02x");
	$template_primary_foreground_rgb = "$r,$g,$b"; 
}

//secondary foreground
if(isset($_GET['tsf']) && strlen($_GET['tsf']) == 6) { 
	$template_secondary_foreground = (string)$_GET['tsf'];
	list($r, $g, $b) = sscanf($template_secondary_foreground, "%02x%02x%02x");
	$template_secondary_foreground_rgb = "$r,$g,$b"; 
} else { 
	$template_secondary_foreground = "58b4c4";
	list($r, $g, $b) = sscanf($template_secondary_foreground, "%02x%02x%02x");
	$template_secondary_foreground_rgb = "$r,$g,$b"; 
}

//tertiary foreground
if(isset($_GET['ttf']) && strlen($_GET['ttf']) == 6) { 
	$template_tertiary_foreground = (string)$_GET['ttf'];
	list($r, $g, $b) = sscanf($template_tertiary_foreground, "%02x%02x%02x");
	$template_tertiary_foreground_rgb = "$r,$g,$b"; 
} else { 
	$template_tertiary_foreground = "58b4c4";
	list($r, $g, $b) = sscanf($template_tertiary_foreground, "%02x%02x%02x");
	$template_tertiary_foreground_rgb = "$r,$g,$b"; 
}

//primary background
if(isset($_GET['tpb']) && strlen($_GET['tpb']) == 6) { 
	$template_primary_background = (string)$_GET['tpb'];
	list($r, $g, $b) = sscanf($template_primary_background, "%02x%02x%02x");
	$template_primary_background_rgb = "$r,$g,$b"; 
} else { 
	$template_primary_background = "000000";
	list($r, $g, $b) = sscanf($template_primary_background, "%02x%02x%02x");
	$template_primary_background_rgb = "$r,$g,$b"; 
}


//secondary background
if(isset($_GET['tsb']) && strlen($_GET['tsb']) == 6) { 
	$template_secondary_background = (string)$_GET['tsb'];
	list($r, $g, $b) = sscanf($template_secondary_background, "%02x%02x%02x");
	$template_secondary_background_rgb = "$r,$g,$b"; 
} else { 
	$template_secondary_background = "000000";
	list($r, $g, $b) = sscanf($template_secondary_background, "%02x%02x%02x");
	$template_secondary_background_rgb = "$r,$g,$b"; 
}

//tertiary background
if(isset($_GET['ttb']) && strlen($_GET['ttb']) == 6) { 
	$template_tertiary_background = (string)$_GET['ttb'];
	list($r, $g, $b) = sscanf($template_tertiary_background, "%02x%02x%02x");
	$template_tertiary_background_rgb = "$r,$g,$b"; 
} else { 
	$template_tertiary_background = "3C132A";
	list($r, $g, $b) = sscanf($template_tertiary_background, "%02x%02x%02x");
	$template_tertiary_background_rgb = "$r,$g,$b"; 
}


//primary text
if(isset($_GET['tpt']) && strlen($_GET['tpt']) == 6) { 
	$template_primary_text = (string)$_GET['tpt'];
	list($r, $g, $b) = sscanf($template_primary_text, "%02x%02x%02x");
	$template_primary_text_rgb = "$r,$g,$b"; 
} else { 
	$template_primary_text = "ffffff";
	list($r, $g, $b) = sscanf($template_primary_text, "%02x%02x%02x");
	$template_primary_text_rgb = "$r,$g,$b"; 
}


//secondary text
if(isset($_GET['tst']) && strlen($_GET['tst']) == 6) { 
	$template_secondary_text = (string)$_GET['tst'];
	list($r, $g, $b) = sscanf($template_secondary_text, "%02x%02x%02x");
	$template_secondary_text_rgb = "$r,$g,$b"; 
} else { 
	$template_secondary_text = "ffffff";
	list($r, $g, $b) = sscanf($template_secondary_text, "%02x%02x%02x");
	$template_secondary_text_rgb = "$r,$g,$b"; 
}

//tertiary text
if(isset($_GET['ttt']) && strlen($_GET['ttt']) == 6) { 
	$template_tertiary_text = (string)$_GET['ttt'];
	list($r, $g, $b) = sscanf($template_tertiary_text, "%02x%02x%02x");
	$template_tertiary_text_rgb = "$r,$g,$b"; 
} else { 
	$template_tertiary_text = "ffffff";
	list($r, $g, $b) = sscanf($template_tertiary_text, "%02x%02x%02x");
	$template_tertiary_text_rgb = "$r,$g,$b"; 
}

?>
.header,
.header.header-scrolled {
    background: #<?php echo $template_secondary_background; ?> !important;
}

.header .logo a {
    color: #fff  !important;
}

.navbar a:hover {
    background-color: #<?php echo $template_primary_foreground; ?> !important;
}

.navbar .active {
    background: #<?php echo $template_primary_foreground; ?> !important;
}

.navbar li:hover>a {
    color: #fff
}

.mobile-nav-toggle.bi-x {
    color: #fff
}

.navbar-mobile {
    background: rgba(23, 26, 29, .6);
}

.navbar-mobile ul {
    background: rgba(23, 26, 29, .7);
}

.navbar-mobile li a {
    color: #fff !important;
}

.navbar-mobile li a:hover {
    color: #fff
}

.list-container {
    background: #<?php echo $template_secondary_background; ?> !important;
}

@media (max-width:800px) {
    .list-container::before {
        background-color: rgba(0,0,0,.8);
    }
}

.list-container .category-list li a {
    color: #<? echo $template_secondary_text; ?> !important;
}

.list-container .category-list li a.active,
.list-container .category-list li a.active:before {
    color: #fff
}

.list-container .category-list li a.active .bi-x {
    border: 2px solid #fff
}

.list-container .category-list li a:focus {
    color: #fff
}

.list-container .category-list li a:focus .bi-x {
    border: 2px solid #fff
}

.list-container .category-list li a:focus:before {
    color: #fff
}

.list-container .category-list li a:before {
    color: #7c7c7c;
}

.list-container .category-list li a .bi-x {
    border: 2px solid #7c7c7c;
}

.list-container-mobile {
    background: #161616;
}

.show-categories {
    background-color: rgba(0,0,0,.9);
}
.show-categories.bi-x {
    border: 2px solid #fff;
}

.footer {
    background: #<? echo $template_secondary_background; ?> !important;
}

.footer .footer-top {
    background: #<? echo $template_primary_background; ?> !important;
    color: #fff;
}

.footer .footer-top p {
    color: #fff
}

.footer .footer-bottom .footer-list li a.custom-dot:before {
    color: #fe262a !important;
}

.form-control {
    color: #fff;
    background-color: #fff;
    border: 1px solid #c8c8c8;
}

.form-control::-moz-placeholder {
    color: #c8c8c8
}

.form-control:-ms-input-placeholder {
    color: #c8c8c8
}

.form-control::placeholder {
    color: #c8c8c8
}

.input-group {
    border: 1px solid #c8c8c8;
}

.input-group .btn {
    color: #fff;
}

.input-group>.form-control,
.input-group>.form-select {
    color: #<?php echo $template_secondary_text; ?> !important;
    background: #<?php echo $template_secondary_background; ?> ;
}

.top-icon {
    background: rgba(0, 255, 203, .6);
    color: #fff;
}

.top-icon .online-dot {
    background: #fe262a;
}

.models .models-name {
    color: #fff;
}

.models .models-nick {
    color: #b0deff;
}

.img-col.-cam .video-link:focus,
.img-col.-cam .video-link:hover {
    border: 2px solid #<?php echo $template_primary_foreground; ?> !important;
}
.img-col:not(.-cam) .video-link:focus .models .models-name,
.img-col:not(.-cam) .video-link:hover .models .models-name {
    color: #<?php echo $template_primary_foreground; ?> !important;
}


.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
    color: #fff;
    background: #<?php echo $template_primary_foreground; ?> !important;;
}

.nav-pills .nav-link {
    background: #7c7c7c;
    color: #000;
}


.nav-pills .nav-link:hover {
    color: #fff
}

.tab-content {
    border: 2px solid #<? echo $template_secondary_foreground; ?>;
    background: #<? echo $template_secondary_background; ?> !important; 
}

.card {
    border: 2px solid #<? echo $template_secondary_foreground; ?>
}

.card .card-title {
    background: #<? echo $template_secondary_foreground; ?>;
    border-bottom: 2px solid #<? echo $template_secondary_foreground; ?> !important; 
}

.card .card-body {
    border: .0625rem solid #<? echo $template_secondary_foreground; ?> !important; 
    background-color: #<? echo $template_secondary_background; ?> !important; 
}


.card .card-body .form-input input {
    border: 1px solid #c8c8c8;
}

.card .card-body .fr__link {
    color: #fe262a !important;
}


.form-input>.form-control,
.form-input>.form-select {
    background: #121212;
}

body {
    color: #fff;
    background: #<?php echo $template_primary_background; ?> !important;
}

a,
a:hover {
    color: #fff;
    text-decoration: none
}

.form-select {
    color: #fff !important;
    background-color: #fff;
}

.header-row .text-header {
    color: #<?php echo $template_primary_text; ?> !important;
}

.header-row .text-subhader {
    color: #<?php echo $template_primary_foreground; ?> !important;
}

.tab-text-subheader {
    color: #<?php echo $template_primary_foreground; ?> !important;
}


.login,
.main-btn,
.sign-up {
    border: 2px solid #<?php echo $template_primary_foreground; ?> !important;
    color: #fff;
}

.login:hover,
.main-btn:hover,
.sign-up:hover {
    color: #fff
}

.join {
    background: #<?php echo $template_primary_foreground; ?> !important;

}

.join-btn {
   
    border: 2px solid #ff8b45;
    background: #ff8b45;
   
}

.join-btn,
.join-chatroom {

    color: #fff;
  
}

.join-chatroom {
 
    border: 2px solid #<?php echo $template_primary_foreground; ?> !important;
    background: #<?php echo $template_primary_foreground; ?> !important;
  
}

.video-container {

    border: 2px solid #1c1c1c
}


.top-bar-img {
   
    background-image: linear-gradient( rgba(<?php echo $template_primary_foreground_rgb; ?>,.5), rgba(<?php echo $template_primary_foreground_rgb; ?>,0.5) ), url(../templates/default/images/top-bar-greyscale.jpg)
}

.bottom-bar-img {
   
    background-image: linear-gradient( rgba(<?php echo $template_primary_foreground_rgb; ?>,.5), rgba(<?php echo $template_primary_foreground_rgb; ?>,0.5) ), url(../templates/default/images/bottom-bar-greyscale.jpg)
}


.notification.info {
    background-color: #d9edf7;
    border-color: #bce8f1;
    color: #31708f;

}
.notification.alert {
    background-color: #fcf8e3;
    border-color: #faebcc;
    color: #8a6d3b;

}
.notification.error {
    background-color: #f2dede;
    border-color: #ebccd1;
    color: #a94442;

}
.notification.success {
    background-color: #dff0d8;
    border-color: #d6e9c6;
    color: #3c763d;
}

.notification a {
    color: #ffffff !important;
  
}
.login:hover {
    background-color: #<?php echo $template_primary_foreground; ?> !important;
    border-color: #ffffff;
}

.sign-up:hover {
    border-color: #ffffff;
}

#loadMore:hover {
    background-color: #<?php echo $template_primary_foreground; ?> !important;
    border-color: #ffffff;
}

#loadMore {
	color: #<?php echo $template_primary_text; ?> !important; 
}

.light-dark-bk {
    background: #<? echo $template_secondary_background; ?> !important;
}

.header .top-nav { 
	background-image: none;
	background-color: #<? echo $template_tertiary_background; ?> !important; 
}

.btn.btn-nav {
	background-color: #<? echo $template_tertiary_foreground; ?> !important; 
}

.list-container .list-header {
	color: #<? echo $template_tertiary_text; ?> !important; 
}

.tab-text-subheader { 
	color: #<? echo $template_tertiary_text; ?> !important; 
}

.main-btn {
	background-color: #<? echo $template_tertiary_foreground; ?> !important; 
}

.list-container .list-header .bi-caret-down-fill {
	color: #<? echo $template_tertiary_background; ?> !important; 
}