<?php
$link = generateUrl('webcams', strtolower($row['username']), strtolower($row['siteSlug']));
?>
<!-- item -->
<div class="img-col mb-4 -cam" <?php if(isset($favoritesPage)) { ?>data-favorite='<?php echo md5($row['site'].$row['username']); ?>'<? } ?>>
    <div class="thumbnail-card">
        <a href="<?php echo $link; ?>" class="video-link d-block position-relative">
            <span class="image">
                <span class="thumb-overflow">
                    <img class="img-thumbnail" src="<? echo $row['image_url']; ?>" alt="<? echo $row['username']; ?> webcam" onerror="this.src='<? echo $basehttp; ?>/core/images/placeholder.jpg'" />
                </span>
            </span>
            
            <span class="item-info">
                <span class="item-name"><?php echo $row['username']; ?></span>
                
                <?php if ($row['status'] == 1) { ?>
                    <span  class="top-icon">
                        <span class="live">
                            <span class="online-dot"></span>
                            live
                        </span>
                    </span>
                <? } ?>
                
                <span class="item-sub-info">
                    <span class="item-ethnicity">
                        <span class="label"><?php echo _t('Ethnicity'); ?></span>
                        <span class="desc"><?php echo ($row['race']) ? $row['race'] : "-"; ?></span>
                    </span>
                </span>
            </span>
            
            <?php if ($row['site'] !== '' && $row['site'] !== '0') { ?>
                <span class="item-sites">
                    <img src="<?php echo $basehttp; ?>/core/images/item-logos/<?php echo strtolower(str_replace('/', '-', $row['siteName'])); ?>.png" alt="" />
                </span>
            <?php } ?>
        </a>
        
        <?php if(isset($favoritesPage)) { ?>
            <a href="#" title="<?php echo _t("Remove from Favorites"); ?>" class="add-to-fav" data-mb="remFav" data-site="<?php echo $row['site']; ?>" data-model="<?php echo $row['username']; ?>">
                <i class="fa fa-minus-square" aria-hidden="true"></i>
            </a>
        <?php } else { ?>
            <?php if($allowAddFavorites) { ?>
                <a href="#" title="<?php echo _t("Add to favorites"); ?>" class="add-to-fav" data-mb="addFav" data-site="<?php echo $row['site']; ?>" data-model="<?php echo $row['username']; ?>">
                    <i class="fa fa-heart" aria-hidden="true"></i>
                </a>
            <? } ?>
        <?php } ?>
    </div>
</div>
<!-- item END -->
