<section class="top-section pb-0">
	<div class="container-fluid custom-50">
		<div class="row">
			<div class="col-lg-12 text-center">
				<?php if (isset($_GET['done']) && $_GET['done'] == 'true') { ?>
					<div class="notification success">
						<p class='description text-center mb-1'>
							<?php if ($require_account_confirmation) { ?>
								Verification mail was sent to you email address.<br />
								To login please <strong>verify your account</strong> through email verification link.
							<?php } else { ?>
								You may now login at the <a href="<?php echo $basehttp; ?>/login">login page</a>
							<?php } ?>
						</p>
					</div>
				<?php } else { ?>	
				<div class="notification info">
					<p class="description text-center mb-1">
						Sign up for a personal account to save performers utilize other advanced features!
					</p>
				</div>
				<?php echo getMessages(); ?>
				<? } ?>
			</div>
		</div>
	</div>
</section>
<section class="forms p-0">
	<div class="container-fluid custom-50">
		<div class="row justify-content-center mt-2">
			<div class="col-lg-12 col-md-12 col-sm-12">
				<div class="card">

					<div class="card-body mt-0">
						<form method="post">
							<div class="row justify-content-center">
								<div class="my-3 col-lg-6 mx-5 form-input">
									<label for="username" class="form-label">Username/Email</label>
									<input name='signup_username' type="text" class="form-control" id="username" placeholder="login" />
								</div>
								<div class="mb-3 col-lg-6 mx-5 form-input">
									<label for="password" class="form-label">Password</label>
									<input name='signup_password' type="password" class="form-control" id="password" placeholder="password" />
								</div>
								<div class="mb-3 col-lg-6 mx-5 form-input">
									<label for="email" class="form-label">Email</label>
									<input name='signup_email' type="email" class="form-control" id="email" placeholder="email" />
								</div>
								<?php if ($enable_signup_captcha) { ?>
								<div class="captcha my-4 col-lg-6 mx-5 form-input">
									<img src="<?php echo $basehttp; ?>/includes/captchaBlack.php?<?php echo time(); ?>" class="captcha captcha-img captcha__img">
									<input class="form-control captcha-input -captcha captcha__input" id="signup_captchaaa" name="captchaaa" type="text" value="" placeholder="Human?">
								</div>
								<? } ?>
								<div class="mb-4 col-lg-6">
									<input type="checkbox" name="signup_tos" class="fr__input -input-text me-3"/>
									Click here to indicate that you have read and agree to the <a class="fr__link" href="<? echo $basehttp; ?>/static/tos.html">terms of service and privacy policy</a>
									
								</div>
								<div class="mb-3 d-inline-flex justify-content-center w-100">
									<button class="btn btn-nav" type="submit">sign up</button>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>





