<?php

ini_set("zlib.output_compression", 0);  // off
ini_set("implicit_flush", 1);  // on   
ob_implicit_flush(true);
ob_end_flush();
ob_start();

include 'admin/db.php';

error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE & ~E_DEPRECATED);
ini_set('display_errors', 1);

ignore_user_abort(true);
ini_set('memory_limit', '2G');
ini_set('max_execution_time', 3600);
set_time_limit(3600);
?><!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Mechbunny Cam Aggregator Update</title>
        <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootswatch/3.3.6/united/bootstrap.min.css" />
        <style type="text/css">
            .alert{margin-bottom:0}
            .notification .alert{padding:10px 15px}
        </style>
    </head>
    <body>

        <div class="container">
            <div class="well">

                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-header text-center">
                            <h1>Mechbunny Cam Aggregator Update 1.1.0</h1>
                        </div>
                    </div>
                </div>

                <div class="row">

                    <?
                    $run_update = true;
                    $error = false;

                    if ($_POST['startUpgrade'] && $run_update === true) {
		
						dbQuery("ALTER TABLE `performers` ADD `custom_metadesc` TEXT NOT NULL AFTER `custom_text`");
						dbQuery("ALTER TABLE `performers` ADD `custom_title` TEXT NOT NULL AFTER `custom_text`;");
						dbQuery("CREATE TABLE `paysites_settings` ( `paysite` INT NOT NULL , `name` VARCHAR(255) NOT NULL , `options` LONGTEXT NOT NULL , UNIQUE (`paysite`, `name`)) ENGINE = InnoDB;");
						dbQuery("ALTER TABLE `paysites_settings` ADD `description` VARCHAR(1024) NOT NULL AFTER `name`;");
						dbQuery("ALTER TABLE `paysites` ADD `settings_json` LONGTEXT NOT NULL AFTER `last_log`;");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `options`) VALUES ('7', 'Program', '{\"pps\":\"pps\",\"revs\":\"revs\"}');");		
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `options`) VALUES ('1', 'Tracking Campaign', '');");
						dbQuery("UPDATE `paysites_settings` SET `description` = 'Custom chaturbate tracking campaign. If not defined, uses track=default and track=embed as delivered by API.' WHERE `paysites_settings`.`paysite` = 1 AND `paysites_settings`.`name` = 'Tracking Campaign';");
						dbQuery("INSERT INTO `configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `group`, `localized`, `settings`, `record_num`) VALUES ('Google Analytics Code', 'Google Analytics Javascript', 'googleAnalytics', '', '', '1', 'site', '0', '', NULL);");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('7', 'LiveJasmin Category', 'Category used by API for Livejasmin. Takes effect next time cron runs.', '{\"Girl\":\"girl\",\"Gay\":\"gay\",\"Mature\":\"mature\",\"Fetish\":\"fetish\",\"Transgender\":\"trangender\",\"Lesbian\":\"lesbian\",\"Couple\":\"couple\"}');");
						dbQuery("UPDATE paysites SET settings_json = '{\"Campaign ID\":\"\",\"LiveJasmin Category\":\"\",\"Program\":\"pps\",\"Site\":\"jasmin\"}' WHERE record_num = 7; ");
						dbQuery("UPDATE paysites SET settings_json = '{\"IFrame Style\":\"chatcam\",\"Tracking Campaign\":\"\"}' WHERE record_num = 1; ");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('7', 'Campaign ID', 'Campaign Tracking ID for AWEmpire. Takes effect next time cron runs.', '');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('7', 'Site', 'AWEmpire Site Slug. Takes effect next time cron runs. Jasmin by default.', '{\"LiveJasmin\":\"jasmin\",\"BimBim\":\"bimbim\",\"Joyourself\":\"joy\",\"Live Privates\":\"lpr\",\"CameraBoys\":\"cmb\",\"DickShow\":\"dickshow\",\"MatureCams\":\"mtc\",\"FetishFix\":\"fetishfix\",\"LiveAsianSex\":\"las\",\"MyCams.com\":\"myc\",\"Livesex Awards\":\"lsa\",\"MyTrannyCams\":\"myt\",\"Livesex\":\"livesex\"}');");
						dbQuery("UPDATE `paysites_settings` SET `options` = '{\"-\":\"\",\"Girl\":\"girl\",\"Gay\":\"gay\",\"Mature\":\"mature\",\"Fetish\":\"fetish\",\"Transgender\":\"trangender\",\"Lesbian\":\"lesbian\",\"Couple\":\"couple\"}' WHERE `paysites_settings`.`paysite` = 7 AND `paysites_settings`.`name` = 'LiveJasmin Category';");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('1', 'IFrame Style', 'Chat and Cam is the traditional normal chaturbate iframe. Cam Only is video only with no chat.', '{\"Chat and Cam\":\"chatcam\",\"Cam Only\":\"camonly\"}');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('8', 'Gender', 'Gender of performers pulled from API', '{ \"All\": \"\",  \"Female\": \"female\",  \"Male\": \"male\",  \"Tranny\": \"tranny\",  \"Group\": \"group\"}');");
						dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('1', 'Gender', 'Gender of performers pulled from API', '{ \"All\": \"\",  \"Female\": \"f\",  \"Male\": \"m\",  \"Tranny\": \"s\",  \"couple\": \"c\"}');");
						dbQuery("ALTER TABLE template_configuration DROP INDEX field;");
						dbQuery("ALTER TABLE `template_configuration` ADD UNIQUE (`field`, `template`);");

						dbQuery("INSERT INTO `template_configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `template`, `localized`, `settings`) VALUES
('Sidebar - Status', 'Enable/Disable Online Yes/No Filter in Sidebar', 'template_sidebar_status', '1', '{\"true\":1,\"false\":0}', 1, 'default_v2', 0, ''),
('Sidebar - Gender', 'Enable/Disable Gender Filter in Sidebar', 'template_sidebar_gender', '1', '{\"true\":1,\"false\":0}', 1, 'default_v2', 0, ''),
('Sidebar - Age', 'Enable/Disable Age Filter in Sidebar', 'template_sidebar_age', '1', '{\"true\":1,\"false\":0}', 1, 'default_v2', 0, ''),
('Sidebar - Tags', 'Enable/Disable Tag Filter in Sidebar', 'template_sidebar_tags', '1', '{\"true\":1,\"false\":0}', 1, 'default_v2', 0, ''),
('Sidebar - Ethnicity', 'Enable/Disable Ethnicity Filter in Sidebar', 'template_sidebar_ethnicity', '1', '{\"true\":1,\"false\":0}', 1, 'default_v2', 0, ''),
('Sidebar - Hair Color', 'Enable/Disable Hair Color Filter in Sidebar', 'template_sidebar_hair', '1', '{\"true\":1,\"false\":0}', 1, 'default_v2', 0, ''),
('Adblock Check', 'Enable/Disable adblock check on webcam page', 'template_adblock_check', '1', '{\"true\":1,\"false\":0}', 1, 'default_v2', 0, ''),
('Logo URL', 'Logo URL (use Logo Upload under Settings to Upload, or specify manually)', 'template_logo_url', '', '', 1, 'default_v2', 0, ''),
('Primary Foreground Color', '', 'template_primary_foreground', '', '', 1, 'default_v2', 0, ''),
('Secondary Foreground Color', '', 'template_secondary_foreground', '', '', 1, 'default_v2', 0, ''),
('Tertiary Foreground Color', '', 'template_tertiary_foreground', '', '', 1, 'default_v2', 0, ''),
('Primary Background Color', '', 'template_primary_background', '', '', 1, 'default_v2', 0, ''),
('Secondary Background Color', '', 'template_secondary_background', '', '', 1, 'default_v2', 0, ''),
('Tertiary Background Color', '', 'template_tertiary_background', '', '', 1, 'default_v2', 0, ''),
('Primary Text Color', '', 'template_primary_text_color', '', '', 1, 'default_v2', 0, ''),
('Secondary Text Color', '', 'template_secondary_text_color', '', '', 1, 'default_v2', 0, ''),
('Tertiary Text Color', '', 'template_tertiary_text_color', '', '', 1, 'default_v2', 0, ''),
('Use Color Scheme', 'Enable/Disable Defined Template Color Scheme', 'template_colors_enabled', '1', '{\"true\":1,\"false\":0}', 1, 'default_v2', 0, '');");


dbQuery("INSERT INTO `paysites` (`name`, `slug`, `functionName`, `apiData`, `apiDataFieldName`, `maxResults`, `parameters`, `parametersPlaceholder`, `wmReferral`, `preferred`, `preferredLink`, `logoImage`, `whitelist`, `whitelabel_domain`, `whitelabel_domain_placeholder`, `defaultModelText`, `last_log`, `settings_json`, `enabled`, `record_num`) VALUES ('Flirt4Free', 'flirt4free', 'flirtForFreeData', '', 'API Key', '1000', '', '', 'https://affiliates.flirt4free.com/', 'iframe_embed', 'chat_room_url', 'flirt4free.jpg', '', '', '', '', '', '', '0', NULL);");

dbQuery("UPDATE `paysites` SET `parametersPlaceholder` = 'Tracking Code' WHERE `paysites`.`record_num` = 13;");

dbQuery("INSERT INTO `paysites_settings` (`paysite`, `name`, `description`, `options`) VALUES ('13', 'Gender', 'Gender of performers pulled from API', '{ \"All\": \"all\", \"Female\": \"girls\", \"Male\": \"guys\", \"Tranny\": \"trans\"}');");




						
						
						if (!$error) { 
                            setMessage('<div class="alert alert-success">Upgrade completed</div>', 'alert');
                            setMessage('<div class="alert alert-warning"><strong>WARNING: remove "update.php" file from your server!</strong></div>', 'alert');
                        }
                        setMessage('<div class="alert alert-info"><a href="' . $basehttp . '">Go to homepage</a> or <a href="' . $basehttp . '/admin/">go to Admin Area</a></div>', 'alert');
                    }
                    ?>

                    <?php echo getMessages(); ?>

                </div>

                <?php if ($run_update === true && !$_POST['startUpgrade']) { ?>
                    <div class="row">
                        <div class="col-xs-12">
                            <form action="" method="post" class="text-center">
                                <input type="hidden" name="startUpgrade" value="1">
                                <button type="submit" class="btn btn-primary btn-lg">Start upgrade</button>
                            </form>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>

    </body>
</html>
<?php ob_flush(); flush(); ?>
