<div class="container mx-0 px-0 d-flex flex-nowrap">
    <div id="mobile-categories" class="list-container py-3">
        <div class="inner-box">
            <?php if (isset($template_sidebar_status) && $template_sidebar_status == true) { ?>
                <div class="aside-sort-list">
                    <span class="list-header <?php echo (is_array($_GET['status']) || $_SERVER['QUERY_STRING'] == '') ? " active" : "" ?>" data-mb="filterTrigger" data-target="online">
                        Status
                        <i class="bi bi-caret-down-fill"></i>
                    </span>

                    <ul class="category-list <?php echo (is_array($_GET['status']) || $_SERVER['QUERY_STRING'] == '') ? " active" : "" ?>" data-filter="online">
                        <li><? echo buildSideLink("Live/Online", "status", "online"); ?></li>
                        <li><? echo buildSideLink("Offline", "status", "offline"); ?></li>
                    </ul>
                </div>
            <?php } ?>
            <?php if (isset($template_sidebar_gender) && $template_sidebar_gender == true) { ?>
                <div class="aside-sort-list">
                    <span class="list-header<?php echo (is_array($_GET['gender']) || $_SERVER['QUERY_STRING'] == '') ? " active" : "" ?>" data-mb="filterTrigger" data-target="gender">
                        Gender
                        <i class="bi bi-caret-down-fill"></i>
                    </span>

                    <ul class="category-list<?php echo (is_array($_GET['gender']) || $_SERVER['QUERY_STRING'] == '') ? " active" : "" ?>" data-filter="gender">
                        <li><? echo buildSideLink("Couple", "gender", "c"); ?></li>
                        <li><? echo buildSideLink("Female", "gender", "f"); ?></li>
                        <li><? echo buildSideLink("Male", "gender", "m"); ?></li>
                        <li><? echo buildSideLink("Trans", "gender", "t"); ?></li>
                    </ul>
                </div>
            <?php } ?>

            <?php if (isset($template_sidebar_age) && $template_sidebar_age == true) { ?>
                <div class="aside-sort-list">
                    <span class="list-header<?php echo (is_array($_GET['age'])) ? " active" : "" ?>" data-mb="filterTrigger" data-target="age">
                        Age
                        <i class="bi bi-caret-down-fill"></i>
                    </span>
                    <ul class="category-list<?php echo (is_array($_GET['age'])) ? " active" : "" ?>" data-filter="age">
                        <li><? echo buildSideLink("18-19", "age", "18-19"); ?></li>
                        <li><? echo buildSideLink("20-29", "age", "20-29"); ?></li>
                        <li><? echo buildSideLink("30-39", "age", "30-39"); ?></li>
                        <li><? echo buildSideLink("40-49", "age", "40-49"); ?></li>
                        <li><? echo buildSideLink("50-59", "age", "50-59"); ?></li>
                        <li><? echo buildSideLink("60+", "age", "60-100"); ?></li>
                    </ul>
                </div>
            <? } ?>

            <?php if (isset($template_sidebar_tags) && $template_sidebar_tags == true) { ?>
                <div class="aside-sort-list">
                    <span class="list-header<?php echo (is_array($_GET['tags'])) ? " active" : "" ?>" data-mb="filterTrigger" data-target="tags">
                        Tags
                        <i class="bi bi-caret-down-fill"></i>
                    </span>
                    <ul class="category-list<?php echo (is_array($_GET['tags'])) ? " active" : "" ?>" data-filter="tags">
                        <?php
                        $tagsList = dbQuery("SELECT name FROM niches WHERE flag_navigation = 1 ORDER BY name ASC");
                        foreach ($tagsList as $t) {
                            echo "<li>" . buildSideLink($t['name'], "tags", strtolower($t['name'])) . "</li>";
                        }
                        ?>
                    </ul>
                </div>
            <?php } ?>

            <?php if (isset($template_sidebar_ethnicity) && $template_sidebar_ethnicity == true) { ?>
                <div class="aside-sort-list">
                    <span class="list-header<?php echo (is_array($_GET['ethnicity'])) ? " active" : "" ?>" data-mb="filterTrigger" data-target="ethnicity">
                        Ethnicity
                        <i class="bi bi-caret-down-fill"></i>
                    </span>
                    <ul class="category-list<?php echo (is_array($_GET['ethnicity'])) ? " active" : "" ?>" data-filter="ethnicity">
                        <?php
                        $ethnicityList = dbQuery("SELECT `value` FROM fields_values WHERE field_id = 2 ORDER BY `weight` ASC");
                        foreach ($ethnicityList as $t) {
                            echo "<li>" . buildSideLink($t['value'], "ethnicity", strtolower($t['value'])) . "</li>";
                        }
                        ?>
                    </ul>
                </div>
            <?php } ?>

            <?php if (isset($template_sidebar_hair) && $template_sidebar_hair == true) { ?>
                <div class="aside-sort-list">
                    <span class="list-header<?php echo (is_array($_GET['hair'])) ? " active" : "" ?>" data-mb="filterTrigger" data-target="hair">
                        Hair Color
                        <i class="bi bi-caret-down-fill"></i>
                    </span>
                    <ul class="category-list<?php echo (is_array($_GET['hair'])) ? " active" : "" ?>" data-filter="hair">
                        <?php
                        $hairList = dbQuery("SELECT `value` FROM fields_values WHERE field_id = 4 ORDER BY `weight` ASC");
                        foreach ($hairList as $t) {
                            echo "<li>" . buildSideLink($t['value'], "hair", strtolower($t['value'])) . "</li>";
                        }
                        ?>
                    </ul>
                </div>
            <?php } ?>
        </div>
    </div>
</div>